gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container Pack widgets in grid/table patterns.

The Table widget allows a programmer to arrange widgets in rows and columns, making it easy to align many widgets adjacent to each other, horizontally and vertically.

Tables are created with a specific size - the number of rows and columns. This can be changed dynamically with the method. Widgets are packed into the table with methods.

The layout of a table can be altered by setting the spacing between rows and columns. This is done with the and properties, respectively. The spacing of individual cells can be adjusted with and .

The following shows how to create a table with three widgets: `public Widget MakeTableTester() { // Create a table with 2 rows and 1 column Table tableLayout = new Table(2, 1, false); Label longLabel = new Label("This is a label that spans at least two Entry widgets"); // Attach the label over the entire first row tableLayout.Attach(longLabel, 0, 2, 0, 1); // Attach an entry to each cell in the second row tableLayout.Attach(new Entry(), 0, 1, 1, 2); tableLayout.Attach(new Entry(), 1, 2, 1, 2); tableLayout.ShowAll(); return tableLayout; }`

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The number of rows in this table.
  The number of columns in this table.
  If homogeneous is TRUE, the table boxes (cells) are resized to the size of the largest widget in the table. If homogeneous is FALSE, the size of a table boxes is dictated by the tallest widget in its same row, and the widest widget in its column (i.e. all cells are the same).
  Creates a new Table widget.

  The size of the table can be altered after its creation using the method.

- Method
  2.12.0.0
  System.Void `` `` `` `` `` The widget to be attached to the table The column number to attach the left side of to. The column number to attach the right side of to. The row number to attach the top of to. The row number to attach the bottom of to. Packs a widget into the table with default packing options.

  To pack widgets into the table with more control over size and padding, use the alternative method.

- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` `` `` `` The to add. The column number to attach the left side of to. The column number to attach the right side of to. The row number to attach the top of to. The row number to attach the bottom of to. The horizontal packing options for this . The vertical packing options for this . The number of pixels of padding to add to the left and right of . The number of pixels of padding to add to the top and bottom of . Packs a widget into the table.

  You can pack widgets into the Table using default packing and padding with the convenience method.

  Child widgets can span as many table cells as they wish, allowing the programmer to create complex grids of Widgets.

- Property
  2.12.0.0
  GLib.Property("column-spacing")
  System.UInt32 The number of pixels between columns if it isn't the default value. A .
- Property
  2.12.0.0
  System.UInt32 The default number of pixels between columns. A .
- Property
  2.12.0.0
  System.UInt32 Retrieve the spacing that gets placed between newly added rows by default. Spacing between rows that will be added, in pixels.
- Method
  2.12.0.0
  System.UInt32 `` A zero-indexed column number to retrieve spacing information from. The spacing currently set for a given column. The number of pixels of spacing assigned to the specified .
- Method
  2.12.0.0
  System.UInt32 `` A zero-indexed row number to retrieve spacing information from. The spacing currently set for a given row. The number of pixels of spacing assigned to the specified .
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("homogeneous")
  System.Boolean Manage whether all cells must be of equal size. if all cells are currently equally sized, otherwise.
- Property
  2.12.0.0
  Gtk.Container+ContainerChild `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("n-columns")
  System.UInt32 Manage the number of columns in this Table. The number of columns this table currently has.
- Property
  2.12.0.0
  GLib.Property("n-rows")
  System.UInt32 Manage the number of rows in this Table. The number of rows this table currently has.
- Method
  2.12.0.0
  System.Void `` `` The new number of rows this table should allow. The new number of columns this table should allow. Resizes the table so that the specified number of and are available for widget packing.
- Property
  2.12.0.0
  GLib.Property("row-spacing")
  System.UInt32 The space between table rows. .
- Method
  2.12.0.0
  System.Void `` `` A zero-indexed column number to adjust the spacing of. The number of pixels on each side of the . Sets the spacing around a specified column.

  To adjust the spacing between all columns, use the property.

- Method
  2.12.0.0
  System.Void `` `` A zero-indexed row number to adjust the spacing of. The number of pixels on each side of the . Sets the spacing around a specified row.

  To adjust the spacing between all rows, use the property.